# PASNUnsignedInteger Class Reference

A descendant of PASNObject which is an unsigned ASN integer type. More...

`#include <pasn.h>`

Inheritance diagram for PASNUnsignedInteger:

List of all members.

## Public Member Functions

| PASNUnsignedInteger (PASNUnsigned val)
| PASNUnsignedInteger (const PBYTEArray &buffer, PINDEX &ptr)
void | PrintOn (ostream &strm) const
| Virtual functions used by the PObject::operator<< function to print the value of the object.
WORD | GetEncodedLength ()
| Virtual function used to get the length of object when encoded into ASN format.
PString | GetString () const
| Return the value of the object as a PString.
PASNUnsigned | GetUnsigned () const
| Return the value of the object as a PASNUnsigned.

## Protected Member Functions

| PASNUnsignedInteger ()
PBoolean | Decode (const PBYTEArray &buffer, PINDEX &i, PASNObject::ASNType theType)
void | Encode (PBYTEArray &buffer, PASNObject::ASNType theType)

## Detailed Description

A descendant of PASNObject which is an unsigned ASN integer type.

## Constructor & Destructor Documentation

PASNUnsignedInteger::PASNUnsignedInteger | ( | PASNUnsigned | val | ) | `[inline]`

PASNUnsignedInteger::PASNUnsignedInteger | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr |
| ) |  |  |

PASNUnsignedInteger::PASNUnsignedInteger | ( |  | ) | `[inline, protected]`

## Member Function Documentation

PBoolean PASNUnsignedInteger::Decode | ( | const PBYTEArray & | buffer,
|  | PINDEX & | i,
|  | PASNObject::ASNType | theType |
| ) |  |  | `[protected]`

void PASNUnsignedInteger::Encode | ( | PBYTEArray & | buffer,
|  | PASNObject::ASNType | theType |
| ) |  |  | `[protected]`

WORD PASNUnsignedInteger::GetEncodedLength | ( |  | ) | `[virtual]`

Virtual function used to get the length of object when encoded into ASN format.

Reimplemented from PASNObject.

PString PASNUnsignedInteger::GetString | ( |  | ) | const`[virtual]`

Return the value of the object as a PString.

This function can be use for all ASN object types

Reimplemented from PASNObject.

PASNUnsigned PASNUnsignedInteger::GetUnsigned | ( |  | ) | const`[virtual]`

Return the value of the object as a PASNUnsigned.

This function will assert if the object is not a descendant of PASNTimeTicks or

PASNCounter.

Reimplemented from PASNObject.

void PASNUnsignedInteger::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Virtual functions used by the PObject::operator<< function to print the value of the object.

Reimplemented from PASNObject.

The documentation for this class was generated from the following file:

- pasn.h